Bug 1779285 - Kubelet metrics returned HTTP status 500 Internal Server Error
Summary: Kubelet metrics returned HTTP status 500 Internal Server Error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.3.0
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On: 1748073 1781258 1781281 1781285
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-03 16:50 UTC by Ryan Phillips
Modified: 2020-01-07 21:02 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: When containers have a high (or > 1) restart count, the Kubelet could inject duplicate container metrics into the metrics stream. Consequence: This would cause the /metrics endpoint on the Kubelet to throw a 500 error. Fix: The fix is to only include metrics of most current (running or stopped) container. Result: The metrics endpoint will no longer throw a 500 and allow metrics to flow to Prometheus.
Clone Of: 1748073
Environment:
Last Closed: 2019-12-16 15:49:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Note You need to log in before you can comment on or make changes to this bug.